Bug 749103 - libreoffice-report-builder installs java-1.5.0-gcj
libreoffice-report-builder installs java-1.5.0-gcj
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-10-26 04:12 EDT by Alexander Kurtakov
Modified: 2012-05-26 04:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-10-28 07:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2011-10-26 04:12:19 EDT
Description of problem:
Installing libreoffice-report-builder installs both java-1.5.0-gcj and java-1.6.0-openjdk. As some of the dependencies require java >= 1.6.0 it would be nice if we do not install second jvm on user systems (namely one that can not work for at least some of the cases - java-1.5.0-gcj). 
Although java-1.5.0-gcj doesn't look big it has some requires like libgcj which are pretty big.

java-1.5.0-gcj seems to be installed because of gcj_support in certain libraries on which libreoffice depends and they seem to be maintained by the libreoffice maintainers. Easiest solution seem to be to drop gcj_support from this libraries.
Comment 1 Caolan McNamara 2011-10-27 04:51:47 EDT
All of which were there because it was the recommended practice to do so originally. http://fedoraproject.org/wiki/Packaging:Java#GCJ now says it isn't, but I don't recall any particularly visible notice that the recommendation had changed 100%
Comment 2 Alexander Kurtakov 2011-10-27 06:09:41 EDT
There were at least a few discussions on fedora mailing lists about gcj_support and it's pure state forcing people to have gcj installed even in situations where java 1.6 compatible jvm is requires. The end result was that it was decided on Java SIG meeting to change the guideline.
Anyway not building gcj_support will:
* reduce libreoffice dependencies with more than 50 MB (only libgcj is 48 M)
* significantly reduce dependencies(left)size - liblayout rpm is 1.2M with gcj and 651K without
* dependencies are noarch - build only once, directly imported into secondary archs
* faster install times - due to not invoking gcj dbtool
Comment 3 Alexander Kurtakov 2011-10-27 06:10:44 EDT
I can list more benefits but the real question is whether libreoffice is fully functional with java-1.5.0-gcj if some of its dependencies are requiring java 1.6?
Comment 4 Caolan McNamara 2011-10-27 06:52:11 EDT
Oh, I'm all in favour of dropping the aot stuff. LibreOffice probably does work fine (generally anyway, filed various bugs for the bits that don't work completely previously) with 1.5.0, though the occasional, typically sun/oracle-java dependencies rather than 1.6.0 dependencies creeps in every now and then.

Pain is in trawling through my java packages to rebuild them
Comment 5 Alexander Kurtakov 2011-10-27 07:40:14 EDT
So you wouldn't mind someone else helping you when some of these deps gets into his way?
Comment 6 Caolan McNamara 2011-10-27 08:01:09 EDT
oh absolutely, fire ahead
Comment 7 Caolan McNamara 2011-10-28 07:09:26 EDT
Think I've rebuilt all the dependencies I own which were built with aot into rawhide now
Comment 8 Orcan Ogetbil 2012-02-08 07:49:00 EST
Caolan, please consult the package maintainers before doing such changes in their packages. I am reverting the change in itext now. This one is waiting the packaging committee response at:
Comment 9 Orcan Ogetbil 2012-02-19 18:56:29 EST
The issue with itext is now resolved. The aot bits (java-1.5.0-gcj) parts of itext are now in a different package than the jar files. 

You can now build libfonts against "itext-core" in Fedora 17 and above, and it will not pull in java-1.5.0-gcj anymore.
Comment 10 Orcan Ogetbil 2012-02-19 20:57:52 EST
Oh also, the new itext-core will be in Fedora 17 buildroot override until Feb 21.
Comment 11 Fedora Update System 2012-05-10 03:51:11 EDT
libfonts-1.1.3-7.fc17 has been submitted as an update for Fedora 17.
Comment 12 Fedora Update System 2012-05-26 04:03:35 EDT
libfonts-1.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.